**Source URL:** https://general.veevavault.dev/medical/vault-api/api-reference/22.3/object-lifecycle-workflows/object-record-user-actions/retrieve-object-user-action-details

# Retrieve Object User Action Details

Once you've retrieved the available user actions, use this request to retrieve the details for a specific user action.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/actions/{action_name}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `object_name` | The object `name__v` field value. |
| `object_record_id` | The object record `id` field value from which to retrieve user action details. |
| `action_name` | Either the name of the `Objectaction` or `Objectlifecyclestateuseraction` to initiate. This is obtained from the [Retrieve User Actions](/medical/vault-api/api-reference/22.3/object-lifecycle-workflows/object-record-user-actions/retrieve-object-record-user-actions) request. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": {
        "links": [
            {
                "rel": "metadata",
                "accept": "application/json",
                "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
                "method": "GET"
            },
            {
                "rel": "execute",
                "accept": "application/json",
                "Href":      "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
                "method": "POST"
            }
        ],
        "label": "Copy Record",
        "type": "object_action",
        "name": "Objectaction.product__v.copy_record__c"
    }
}
```
</CodeExample>

## Response Details

On SUCCESS, the response returns metadata for the specified object action.

*   For users with the **View** permission, the response includes a link to retrieve the metadata for the specified user action.
*   For users without the **View** permission, the response returns an `INSUFFICIENT_ACCESS` error.
*   For users with the **Execute** permission, the response includes a link to initiate the specified action.

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": {
        "links": [
            {
                "rel": "metadata",
                "accept": "application/json",
                "Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
                "method": "GET"
            },
            {
                "rel": "execute",
                "accept": "application/json",
                "Href":      "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
                "method": "POST"
            }
        ],
        "label": "Copy Record",
        "type": "object_action",
        "name": "Objectaction.product__v.copy_record__c"
    }
}
```
</CodeExample>

## Response Details

On SUCCESS, the response lists the fields that must be configured with values in order to initiate the user action. These are based on the controls configured in the workflow start step.

*   For users with the **View** permission, the response includes a link to retrieve the metadata for the specified user action.
*   For users without the **View** permission, the response returns an `INSUFFICIENT_ACCESS` error.
*   For users with the **Execute** permission on the action, the response includes a link to initiate the specified action.

For actions with the `type: workflow`, the following types of controls may be returned:

<FieldTable>
| Name | Description |
| --- | --- |
| `instructions` | Contains static instruction text regarding workflow initiation. |
| `participant` | Used to specify users who will be part of the workflow. |
| `date` | Date selections for the workflow, such as due date. |
| `field` | All object fields requiring values. |
</FieldTable>

For each control, the following data may be returned:

---

**Previous:** [Retrieve Object Record User Actions](/medical/vault-api/api-reference/22.3/object-lifecycle-workflows/object-record-user-actions/retrieve-object-record-user-actions)  
**Next:** [Initiate Object Action on a Single Record](/medical/vault-api/api-reference/22.3/object-lifecycle-workflows/object-record-user-actions/initiate-object-action-on-a-single-record)